import os
from cmutils.config_loaders import IniConfigLoader

config_path = os.path.join(os.path.expanduser("~"), ".em_product", "config.ini")
config = IniConfigLoader(config_path)

config.set_section("product.elastic")
ELASTICSEARCH_SERVERS = config.get("host")
ELASTICSEARCH_USERNAME = config.get("user")
ELASTICSEARCH_PASSWORD = config.get("password")
ELASTICSEARCH_TIMEOUT = 60
ELASTICSEARCH_MAX_RETRY = 3

config.set_section("product.mysql")
mysql_username = config.get("user")
mysql_password = config.get("password")
mysql_host = config.get("host")
mysql_port = config.get("port") or 3306
MYSQL_URI = f"mysql://{mysql_username}:{mysql_password}@{mysql_host}:{mysql_port}/everymarket"

config.set_section("product.proxy")
WEBSHARE_USER = config.get("user")
WEBSHARE_PASSWORD = config.get("password")
WEBSHARE_COUNTRY = config.get("country")

DOWNLOADER_CLIENT_TLS_CIPHERS = "RSA+AES:RSA+3DES:RSA+AESGCM:ECDH+AESGCM:ECDH+AES256:DH+AES256:ECDH+AES128:ECDH+HIGH:DH+HIGH:DH+3DES:RSA+HIGH:DH+AES:ECDH+3DES:!aNULL:!eNULL:!MD5"

config.set_section("product.redis")
REDIS_URL = config.get("redis_url")

config.set_section("product.mongo")
mongo_user = config.get("user")
mongo_password = config.get("password")
mongo_host = config.get("host")
mongo_port = config.get("port") or 27017
MONGO_URI = f"mongodb://{mongo_user}:{mongo_password}@{mongo_host}:{mongo_port}"
